For the complete documentation index, see llms.txt. This page is also available as Markdown.

Billable Report

These endpoints will allow you to retrieve data about billable members.

Get billable reports list

get

Management This method returns a list of billable members, transactions and events per last 12 months and sum of those period. If tenantId is provided, it will return the billable report for that tenant otherwise it will return the billable report for all tenants.

Authorizations
AuthorizationstringRequired

Open Loyalty has the JWT authorization. To learn what a JSON Web Token is and how it works, check out Introduction to JSON Web Tokens https://jwt.io/introduction/

Obtain an access token

Send a request with the parameters username and password

Definition

POST /api/admin/login_check Go to definition
POST /api/{storeCode}/member/login_check Go to definition

Example

curl {HOST}/api/admin/login_check
    -H 'Content-Type: application/json;charset=UTF-8'
    -H 'Accept: application/json, text/plain, */*'
    --data-binary '{"username":"admin","password":"password"}'

Example Response

{
    "token":"eyJhbGciOiJSUzI1NiIsInR5cCI6...",
    "refresh_token":"0558f8bb29948c4e54c443f..."
}

Using JSON Web Token

Add authorization header to each request
Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6...
You can now access any API method you want under the /api prefix.

Example

curl {HOST}/api/{storeCode}/analytics/members
    -H 'Accept: application/json'
    -H 'Content-type: application/x-www-form-urlencoded'
    -H 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6...'

Refresh JSON Web Token

You can refresh token using refresh_token that was given during login.
There are two endpoints
To refresh admin token POST /api/token/refresh Go to definition
To refresh member token POST /api/{storeCode}/token/refresh Go to definition

Query parameters
tenantIdstring · uuidOptional

Store ID

Responses
200

Billable report.

application/json

Billable report response

billableMembersnumber · integerRequired

Number of billable members from the last 12 months.

Example: 10000
billableTransactionsnumber · integerRequired

Number of billable transactions from the last 12 months.

Example: 9000
billableEventsnumber · integerRequired

Number of billable events from the last 12 months.

Example: 8500
billableMembersPerMonthobjectRequired

Number of billable members per month from the last 12 months.

Example: {"2023-08-01":1000,"2023-07-01":1000,"2023-06-01":1000,"2023-05-01":1000,"2023-04-01":1000,"2023-03-01":1000,"2023-02-01":1000,"2023-01-01":1000,"2022-12-01":1000,"2022-11-01":1000,"2022-10-01":0,"2022-09-01":0}
billableTransactionsPerMonthobjectRequired

Number of billable transactions per month from the last 12 months.

Example: {"2023-08-01":1000,"2023-07-01":1000,"2023-06-01":1000,"2023-05-01":1000,"2023-04-01":1000,"2023-03-01":1000,"2023-02-01":1000,"2023-01-01":1000,"2022-12-01":1000,"2022-11-01":0,"2022-10-01":0,"2022-09-01":0}
billableEventsPerMonthobjectRequired

Number of billable events per month from the last 12 months.

Example: {"2023-08-01":950,"2023-07-01":850,"2023-06-01":750,"2023-05-01":650,"2023-04-01":550,"2023-03-01":450,"2023-02-01":350,"2023-01-01":250,"2022-12-01":150,"2022-11-01":50,"2022-10-01":0,"2022-09-01":0}
get/api/billable-report

Last updated

Was this helpful?